'use strict';

import PropTypes from '../tool/proptypes';
import LayoutPropTypes from './LayoutPropTypes';
import ColorPropType from './ColorPropType';
// console.log(ColorPropType);
let ImageStylePropTypes = Object.assign({},LayoutPropTypes,{
  backgroundColor: ColorPropType,
  borderColor: ColorPropType,
  borderWidth: PropTypes.number,
  borderRadius: PropTypes.number,
  overflow: PropTypes.oneOf(['visible', 'hidden']),
  opacity: PropTypes.number
});

export default ImageStylePropTypes;
