var parseCss = require('./rx-stylesheet-css/lib/parseCss');
var StyleSheet = require('./rx-style/build/build.js');
var loaderUtils = require('loader-utils');
var chalk = require('chalk');

module.exports = function(source) {
	var query = loaderUtils.parseQuery(this.query);

	var style = parseCss(source.replace(/\r?\n|\r/g, ""));
	var tempStyle = style;
	if(!query.notValidate){
		console.log(chalk.red('==================================='));
		console.log(chalk.yellow('文件路径:'+ this.resourcePath));
		tempStyle = JSON.stringify(StyleSheet.create(JSON.parse(tempStyle)));
	}

	var prefix = "", suffix = "";
	prefix = "var style = ";
	suffix = ";\nmodule.exports = style;";
	var content = prefix + style + suffix
    return content;
};