let isWeex = typeof callNative === 'function';
let isWeb = typeof window === 'object' && typeof window.document === 'object';
let isWidescreen = false;
let isDesktop = false;

const WIDESCREEN_WIDTH = 992;

if (isWeb) {
  isWidescreen = document.documentElement.clientWidth >= WIDESCREEN_WIDTH;
  isDesktop = !(/android|webos|iphone|ipad|ipod|blackberry|iemobile|opera mini/i.test(navigator.userAgent));
}

export {
  isWeex,
  isWeb,
  isWidescreen,
  isDesktop
};
