var path = require('path');
var webpack = require('webpack');
const RxPlugin = require('weex-rx-webpack-plugin');

module.exports = {
  entry: "./rx-style/index",
  resolve: {
    modulesDirectories: ["node_modules", "rx-style",'rx-stylesheet-css']
  },
  output: {
    path:'./rx-style/build/',
    filename: "build.js",
    libraryTarget:"commonjs"
  },
  module: {
    loaders: [
      {
        test:/\.(ts|js)?$/,
        loader: 'babel'
      }
    ]
  }
}
